Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class Phone

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.TextNode
          weblogic.uddi.client.structures.datatypes.Phone

    public class Phone

extends TextNode

The phone structure store a string. As the name suggest it is used for storing a phone number. It has as optional useType attribute for descriptive purposes. The attribute is not optional if more than one phone element is used.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`value`

Constructor Summary
`Phone()` Class constructor.
`Phone(String val)` Class constructor specifying the initialization value.
`Phone(String ut, String val)` Class constructor specifying the initialization values.

Method Summary
`String` | `getUseType()` Gets the value of the use type.
`void` | `setUseType(String val)` Sets the value of the use type.

Methods inherited from class weblogic.uddi.client.structures.datatypes.TextNode
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Phone

    public Phone()

  Class constructor.

### Phone

    public Phone(String val)

  Class constructor specifying the initialization value.

  Parameters:
    `val` - the value of the phone.

### Phone

    public Phone(String ut,
                 String val)

  Class constructor specifying the initialization values.

  Parameters:
    `ut` - the use type of the phone.
    `val` - the value of the phone.

Method Detail

### getUseType

    public String getUseType()

  Gets the value of the use type.

  Returns:
    the current value of the use type.

### setUseType

    public void setUseType(String val)

  Sets the value of the use type.

  Parameters:
    `val` - the new value of the use type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD